### Function

# Gio simple_async_report_error_in_idle

deprecated: 2.46

#### Declaration

    void
    g_simple_async_report_error_in_idle (
      GObject* object,
      GAsyncReadyCallback callback,
      gpointer user_data,
      GQuark domain,
      gint code,
      const char* format,
      ...
    )

#### Description

Reports an error in an asynchronous function in an idle function by directly setting the contents of the `GAsyncResult` with the given error information.

Deprecated since: 2.46

Use g_task_report_error().

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `GObject`

  A `GObject`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`domain`

  Type: `GQuark`

  A `GQuark` containing the error domain (usually `G_IO_ERROR`).

`code`

  Type: `gint`

  A specific error code.

`format`

  Type: `const char*`

  A formatted error reporting string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A list of variables to fill in `format`.